#
# spec file for package python-cloudscraper
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define modname cloudscraper
%define skip_python2 1
Name:           python-cloudscraper
Version:        1.2.58
Release:        3.13
Summary:        A Python module to bypass Cloudflare's anti-bot page
License:        MIT
URL:            https://github.com/venomous/cloudscraper
Source:         https://github.com/VeNoMouS/%{modname}/archive/%{version}.tar.gz#/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module Js2Py}
BuildRequires:  %{python_module pyparsing >= 2.4.7}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests >= 2.9.2}
BuildRequires:  %{python_module requests-toolbelt >= 0.9.1}
BuildRequires:  %{python_module responses}
BuildRequires:  nodejs-default
# /SECTION
BuildRequires:  fdupes
Requires:       python-pyparsing >= 2.4.7
Requires:       python-requests >= 2.9.2
Requires:       python-requests-toolbelt >= 0.9.1
BuildArch:      noarch
%python_subpackages

%description
A Python module to bypass Cloudflare's anti-bot page.

%prep
%autosetup -p1 -n cloudscraper-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# Skip broken test
%pytest -k 'not test_getCookieString_challenge_js_challenge1_16_05_2020'

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Nov 12 2021 Steve Kowalik <steven.kowalik@suse.com>
- Skip a broken test.
* Wed May 12 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Replace nodejs10 BuildRequires with nodejs-default:
  + Use the distro-provided default version of nodejs without
    pinning to an old version.
* Wed May  5 2021 Matej Cepl <mcepl@suse.com>
- Update to 1.2.58:
  - Cloudflare changing minor things that broke the regex.
  - Changed debug to support non printable UTF-8
* Thu Jan 28 2021 Matej Cepl <mcepl@suse.com>
- Upgrade to 1.2.56:
  Arm race continues!
  Not supporting Python 2 any more.
- Use tarball from GitHub, the one on PyPI doesn't have tests. :'(
* Thu Jan  7 2021 Matej Cepl <mcepl@suse.com>
- Update to 1.2.52 "This will all end in tears; I just know it."
  - Added in "Bot Fight Mode" detection.
* Thu Dec 24 2020 Matej Cepl <mcepl@suse.com>
- Initial packaging of cloudscraper 1.2.50.
